-- eDirectory password managment override schema
-- %version:		 1 %
-- %date_modified:	 Tue Aug 13 15:31:20 2002 %
--
-- CoPyRiGhT=(c) Copyright 2002, Novell, Inc.  All rights reserved

NDSSchemaExtensions {2 16 840 1 113719 1 1} DEFINITIONS ::=
BEGIN

-- 
-- This attribute is the partition level policy regarding ndap password 
-- management.
-- 
"ndapPartitionPasswordMgmt"	ATTRIBUTE ::=
{
	Operation	ADD,
	Flags		{DS_SINGLE_VALUED_ATTR},
	SyntaxID	SYN_INTEGER,
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 528}
}


--
-- Presense of this attribute on a class definition indicates that by default
-- this class should used nldap password managment despite what the partition
-- default is set to.
--
"ndapClassPasswordMgmt"	ATTRIBUTE ::=
{
	Operation	ADD,
   SyntaxID	SYN_UNKNOWN,
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 529}
}

--
-- This attribute allows per object instance overrides of the partition or 
-- class policies.
--
"ndapPasswordMgmt"					ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR},
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 530}
}

-- 
-- 
-- 
"Partition"				OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapPartitionPasswordMgmt"}
}

--
-- Allow per object instance overrides of the ndap password management.
--
"ndsLoginProperties"		OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapPasswordMgmt"}
}

--
-- Allow per object instance overrides of the ndap password management.
--
"ndsContainerLoginProperties"	OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapPasswordMgmt"}
}

--
-- By default Server and classed derived from Server should be allowed to 
-- use ndap password management
--
"Server"		OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapClassPasswordMgmt"}
}

END
